Subject: Re: linux-next: build failure after merge of the device-mapper tree

From: Jens Axboe <[email-masked]>
Date: Tue, 05 Nov 2013 09:22:11 -0700

On 11/05/2013 05:54 AM, Mike Snitzer wrote:
> On Mon, Nov 04 2013 at 10:32pm -0500,
> Stephen Rothwell <[email-masked]> wrote:
> 
>> Hi Mike,
>>
>> On Mon, 4 Nov 2013 22:20:54 -0500 Mike Snitzer <[email-masked]> wrote:
>>>
>>> On Mon, Nov 04 2013 at  9:51pm -0500,
>>> Stephen Rothwell <[email-masked]> wrote:
>>>
>>>> After merging the device-mapper tree, today's linux-next build (x86_64
>>>> allmodconfig) failed like this:
>>>>
>>>> drivers/md/dm-cache-target.c: In function 'bio_writes_complete_block':
>>>> drivers/md/dm-cache-target.c:1020:7: error: 'struct bio' has no member named 'bi_size'
>>>>    (bio->bi_size == (cache->sectors_per_block << SECTOR_SHIFT));
>>>>        ^
>>>>
>>>> Caused by commit 1bd270d800ec ("dm cache: promotion optimisation for
>>>> writes") interacting with commit ed2d2f9a8265 ("block: Abstract out bvec
>>>> iterator") from the block tree.
>>>>
>>>> I applied this fix up patch and can carry it as necessary:
>>>
>>> Yes that is needed, as is this (which begs the question: how should I be
>>
>> I will add that tomorrow.
>>
>>> handling the fact that post-merge changes are needed?  Especially since
>>> Linus will need the changes too):
>>
>> Who ever gets their tree in last has to tell Linus about these extra
>> merge fix ups as part of their pull request.
> 
> OK, that's what I thought, thanks for confirming.

Just a heads up that I plan on sending the block bits shortly, hopefully
merging sooner rather than later. This round is huge, so I'd like to get
it in asap.

-- 
Jens Axboe